This page was not yet optimized for use on mobile devices.
Arista Crypto Module v3.0 [Software, Software IPsec, Web Portal]
Certificate details
| Certificate ID | #4791 |
|---|---|
| Status | historical |
| Historical reason | Replaced by certificate #5403 |
| Validation dates | 06.09.2024 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | Interim validation. When operated in approved mode. No assurance of the minimum strength of generated SSPs (e.g., keys) |
| Exceptions |
|
| Description | This validation is for the library contained within the CloudVision Portal (CVP) products and all its related SKUs, which includes SS-CV-SWITCH-1M, SS-CV-SWITCH-1M-P, SS-CV-MOD-G-SWITCH-1M, SS-CV-G-SWITCH-1M, SS-CV-LT-SWITCH-1M, SS-CV-LT-MOD-G-SWITCH-1M, SS-CV-LT-G-SWITCH-1M, SS-CV-SWITCH-LAB-1M, SS-CV-ENT-1M, SS-CV-ENT-1M-P, SS-CV-T1-1M, SS-CV-T2-1M, SS-CV-LT-T1-1M, SS-CV-LT-T2-1M, SS-CV-G-T1-1M, SS-CV-G-T2-1M, SS-CV-LT-G-T1-1M, SS-CV-LT-G-T2-1M, SS-CV-MOD-G-T1-1M, SS-CV-MOD-G-T2-1M, SS-CV-LT-MOD-G-T1-1M, SS-CV-LT-MOD-G-T2-1M, SS-CV-ENT-1M-P, SS-CV-CG-SWITCH-1M, SS-CV-CG-T1-1M, SS-CV-CG-T2-1M, SS-CV-LT-CG-SWITCH-1M, SS-CV-LT-CG-T1-1M, SS-CV-LT-CG-T2-1M and any other future SKUs which use the validated library for the CloudVision Portal (CVP) product. |
| Tested configurations |
|
| Vendor | Arista Networks, Inc. http://www.arista.com |
| Lab | DEKRA Cybersecurity Certification Laboratory |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, CAST5, CAST, RC2, RC5, DES, Triple-DES, TDEA, IDEA, Blowfish, Camellia, SEED, HMAC, CMACAsymmetric Algorithms
RSA 2048, ECDH, ECDHE, ECDSA, ECC, Diffie-Hellman, DHE, DH, DSAHash functions
SHA-1, SHA1, SHA256, SHA512, SHA-256, SHA2, MD4, MD5, RIPEMDSchemes
MAC, Key Exchange, Key Agreement, Key agreementProtocols
SSH, SSHv2, TLS, TLS v1.2, TLS 1.2, TLS v1.0, TLS 1.0, DTLS, IKEv1, IKEv2, IKE, IPsecRandomness
DRBG, RBGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-521, P-224, secp256r1, secp384r1, secp521r1Block cipher modes
ECB, CBC, CTR, GCM, CCM, XTSTLS cipher suites
TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8, TLS_ECDHE_ECDSA_WITH_AES_256_CCM, TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8, TLS_ECDHE_ECDSA_WITH_AES_128_CCM, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CCM_8, TLS_DHE_RSA_WITH_AES_256_CCM, TLS_DHE_RSA_WITH_AES_128_CCM_8, TLS_DHE_RSA_WITH_AES_128_CCM, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHATrusted Execution Environments
SSCSecurity level
Level 1, level 1Standards
FIPS 140-3, FIPS PUB 140-3, FIPS186-4, FIPS 186-4, FIPS140, FIPS PUB 140, SP 800-140B, SP 800-135, SP 800-38D, SP 800-38F, SP 800-90B, SP 800-140E, SP 800-108, SP 800-90A, SP 800-56a, PKCS 1, PKCS#1, PKCS #1, RFC7627, RFC5288, RFC 7296, RFC 4106, RFC 4581, ISO/IEC 24759Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4791,
"dgst": "45797cfda8571046",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES-CFB128A4153",
"HMAC-SHA2-224A4153",
"SHA2-224A4153",
"#A3592",
"HMAC DRBGA4153",
"ECDSA KeyGen (FIPS186-4)A4153",
"HMAC-SHA2-256A4153",
"RSA KeyGen (FIPS186-4)A4153",
"SHA2-512A4153",
"KDF IKEv2A4153",
"ECDSA SigGen (FIPS186-4)A4153",
"KDF SP800-108A4153",
"KAS-ECC-SSC Sp800-56Ar3A4153",
"Counter DRBGA4153",
"RSA SigVer (FIPS186-4)A4153",
"KDF IKEv1A4153",
"KDF SSHA4153",
"SHA2-256A4153",
"HMAC-SHA2-384A4153",
"HMAC-SHA2-512A4153",
"Hash DRBGA4153",
"SHA2-384A4153",
"KDF TLSA4153",
"AES-CTRA4153",
"AES-CBCA4153",
"AES-ECBA4153",
"TLS v1.2 KDF RFC7627A4153",
"ECDSA KeyVer (FIPS186-4)A4153",
"KTS-IFCA4153",
"SHA-1A4153",
"KAS-FFC-SSC Sp800-56Ar3A4153",
"ECDSA SigVer (FIPS186-4)A4153",
"AES-CMACA4153",
"AES-CCMA4153",
"HMAC-SHA-1A4153",
"AES-CFB1A4153",
"AES-XTS Testing Revision 2.0A4153",
"#A4153",
"RSA SigGen (FIPS186-4)A4153",
"AES-CFB8A4153",
"AES-GCMA4153"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"3.0"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 10,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDH": {
"ECDH": 9,
"ECDHE": 16
},
"ECDSA": {
"ECDSA": 34
}
},
"FF": {
"DH": {
"DH": 7,
"DHE": 8,
"Diffie-Hellman": 3
},
"DSA": {
"DSA": 1
}
},
"RSA": {
"RSA 2048": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"CCM": {
"CCM": 1
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 2
},
"GCM": {
"GCM": 13
},
"XTS": {
"XTS": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 4
}
},
"crypto_protocol": {
"IKE": {
"IKE": 24,
"IKEv1": 3,
"IKEv2": 4
},
"IPsec": {
"IPsec": 6
},
"SSH": {
"SSH": 21,
"SSHv2": 10
},
"TLS": {
"DTLS": {
"DTLS": 1
},
"TLS": {
"TLS": 50,
"TLS 1.0": 1,
"TLS 1.2": 3,
"TLS v1.0": 66,
"TLS v1.2": 4
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 2,
"Key agreement": 2
},
"KEX": {
"Key Exchange": 4
},
"MAC": {
"MAC": 4
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-224": 4,
"P-256": 12,
"P-384": 12,
"P-521": 12,
"secp256r1": 1,
"secp384r1": 1,
"secp521r1": 1
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1
}
},
"fips_certlike": {
"Certlike": {
"AES 128, 192": 9,
"AES 128, 256": 1,
"AES-256": 1,
"AES-GCM 256": 1,
"DRBG 128": 1,
"HMAC 112": 6,
"HMAC SHA-1": 10,
"HMAC SHA2": 2,
"HMAC-SHA-1": 2,
"PKCS #1": 1,
"PKCS 1": 6,
"PKCS#1": 2,
"RSA 2048": 1,
"RSA PKCS #1": 1,
"SHA - 3": 1,
"SHA-1": 21,
"SHA-256": 2,
"SHA1": 1,
"SHA2": 3,
"SHA2 - 256": 2,
"SHA2 - 512": 2,
"SHA2- 224": 4,
"SHA2- 256": 3,
"SHA2- 384": 2,
"SHA2- 512": 1,
"SHA2-224": 12,
"SHA2-256": 21,
"SHA2-384": 19,
"SHA2-512": 17,
"SHA256": 3,
"SHA512": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 1,
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 5
}
},
"RIPEMD": {
"RIPEMD": 1
},
"SHA": {
"SHA1": {
"SHA-1": 21,
"SHA1": 1
},
"SHA2": {
"SHA-256": 2,
"SHA2": 7,
"SHA256": 3,
"SHA512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 52
},
"RNG": {
"RBG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 6,
"FIPS 186-4": 2,
"FIPS PUB 140": 1,
"FIPS PUB 140-3": 1,
"FIPS140": 1,
"FIPS186-4": 8
},
"ISO": {
"ISO/IEC 24759": 2
},
"NIST": {
"SP 800-108": 1,
"SP 800-135": 2,
"SP 800-140B": 1,
"SP 800-140E": 1,
"SP 800-38D": 3,
"SP 800-38F": 4,
"SP 800-56a": 1,
"SP 800-90A": 3,
"SP 800-90B": 1
},
"PKCS": {
"PKCS #1": 1,
"PKCS 1": 3,
"PKCS#1": 1
},
"RFC": {
"RFC 4106": 1,
"RFC 4581": 1,
"RFC 7296": 1,
"RFC5288": 1,
"RFC7627": 3
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 35,
"AES-256": 1
},
"CAST": {
"CAST": 27,
"CAST5": 3
},
"RC": {
"RC2": 3,
"RC5": 3
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 4
},
"DES": {
"DES": 6
}
},
"constructions": {
"MAC": {
"CMAC": 4,
"HMAC": 43
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 3
},
"Camellia": {
"Camellia": 1
},
"IDEA": {
"IDEA": 3
},
"SEED": {
"SEED": 3
}
}
},
"tee_name": {
"IBM": {
"SSC": 9
}
},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 4,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 4,
"TLS_DHE_RSA_WITH_AES_128_CCM": 4,
"TLS_DHE_RSA_WITH_AES_128_CCM_8": 4,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 4,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 4,
"TLS_DHE_RSA_WITH_AES_256_CCM": 4,
"TLS_DHE_RSA_WITH_AES_256_CCM_8": 4,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CCM": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 5,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CCM": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 4,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 5,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 4,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 5
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES-CFB128A4153",
"HMAC-SHA2-224A4153",
"SHA2-224A4153",
"HMAC DRBGA4153",
"ECDSA KeyGen (FIPS186-4)A4153",
"HMAC-SHA2-256A4153",
"RSA KeyGen (FIPS186-4)A4153",
"SHA2-512A4153",
"KDF IKEv2A4153",
"ECDSA SigGen (FIPS186-4)A4153",
"KDF SP800-108A4153",
"KAS-ECC-SSC Sp800-56Ar3A4153",
"Counter DRBGA4153",
"RSA SigVer (FIPS186-4)A4153",
"KDF IKEv1A4153",
"KDF SSHA4153",
"SHA2-256A4153",
"HMAC-SHA2-384A4153",
"HMAC-SHA2-512A4153",
"Hash DRBGA4153",
"SHA2-384A4153",
"KDF TLSA4153",
"AES-CTRA4153",
"AES-CBCA4153",
"AES-ECBA4153",
"TLS v1.2 KDF RFC7627A4153",
"ECDSA KeyVer (FIPS186-4)A4153",
"KTS-IFCA4153",
"SHA-1A4153",
"KAS-FFC-SSC Sp800-56Ar3A4153",
"ECDSA SigVer (FIPS186-4)A4153",
"AES-CMACA4153",
"AES-CCMA4153",
"HMAC-SHA-1A4153",
"AES-CFB1A4153",
"AES-XTS Testing Revision 2.0A4153",
"RSA SigGen (FIPS186-4)A4153",
"AES-CFB8A4153",
"AES-GCMA4153"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A4153",
"#A3592"
]
},
"policy_metadata": {
"/CreationDate": "D:20240718184307-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20240718184307-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 674193,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 35
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "c6c60b75665675b814ce1242e24e86f09e59b6c73557812c3df75f486c589ce2",
"source_hash": "36e5b77c71849e2915d94b48c1b580cd9b778a314696a69bb277aedcec5c69fe",
"txt_hash": "17389fe1fa7b6d0cc3c26980b2f29275e70eb3c6ae66953867771f50a5c21563"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "Interim validation. When operated in approved mode. No assurance of the minimum strength of generated SSPs (e.g., keys)",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/September 2024_011024_0217.pdf",
"date_sunset": null,
"description": "This validation is for the library contained within the CloudVision Portal (CVP) products and all its related SKUs, which includes SS-CV-SWITCH-1M, SS-CV-SWITCH-1M-P, SS-CV-MOD-G-SWITCH-1M, SS-CV-G-SWITCH-1M, SS-CV-LT-SWITCH-1M, SS-CV-LT-MOD-G-SWITCH-1M, SS-CV-LT-G-SWITCH-1M, SS-CV-SWITCH-LAB-1M, SS-CV-ENT-1M, SS-CV-ENT-1M-P, SS-CV-T1-1M, SS-CV-T2-1M, SS-CV-LT-T1-1M, SS-CV-LT-T2-1M, SS-CV-G-T1-1M, SS-CV-G-T2-1M, SS-CV-LT-G-T1-1M, SS-CV-LT-G-T2-1M, SS-CV-MOD-G-T1-1M, SS-CV-MOD-G-T2-1M, SS-CV-LT-MOD-G-T1-1M, SS-CV-LT-MOD-G-T2-1M, SS-CV-ENT-1M-P, SS-CV-CG-SWITCH-1M, SS-CV-CG-T1-1M, SS-CV-CG-T2-1M, SS-CV-LT-CG-SWITCH-1M, SS-CV-LT-CG-T1-1M, SS-CV-LT-CG-T2-1M and any other future SKUs which use the validated library for the CloudVision Portal (CVP) product.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, services, and authentication: Level 2",
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Replaced by certificate #5403",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Arista Crypto Module v3.0 [Software, Software IPsec, Web Portal]",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "historical",
"sw_versions": "3.0",
"tested_conf": [
"CloudVision Portal 2023.2.0 on VMware ESXi 6.7.0 on CentOS 7 running on a Supermicro SYS-6029TP-HTR with Intel Xeon Gold 5218R with PAA",
"CloudVision Portal 2023.2.0 on VMware ESXi 6.7.0 on CentOS 7 running on a Supermicro SYS-6029TP-HTR with Intel Xeon Gold 5218R without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-09-06",
"lab": "DEKRA Cybersecurity Certification Laboratory",
"validation_type": "Initial"
}
],
"vendor": "Arista Networks, Inc.",
"vendor_url": "http://www.arista.com"
}
}